Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs | Functions
linklist_priv.h File Reference
`#include "hdf_priv.h"`

## Data Structures
struct | node_info_t
struct | list_head_t

## Macros
#define | HUL_UNSORTED_LIST 0x0000
#define | HUL_SORTED_LIST 0x0001

## Typedefs
typedef intn(* | HULsearch_func_t) (const void *obj, const void *key)
typedef intn(* | HULfind_func_t) (const void *obj1, const void *obj2)

## Functions
list_head_t * | HULcreate_list (HULfind_func_t find_func)
intn | HULdestroy_list (list_head_t *lst)
intn | HULadd_node (list_head_t *lst, void *obj)
void * | HULsearch_node (list_head_t *lst, HULsearch_func_t srch_func, void *key)
void * | HULfirst_node (list_head_t *lst)
void * | HULnext_node (list_head_t *lst)
void * | HULremove_node (list_head_t *lst, HULsearch_func_t srch_func, void *key)
intn | HULshutdown (void)

## Macro Definition Documentation

## ◆ HUL_SORTED_LIST

#define HUL_SORTED_LIST 0x0001

## ◆ HUL_UNSORTED_LIST

#define HUL_UNSORTED_LIST 0x0000

## Typedef Documentation

## ◆ HULfind_func_t

typedef intn(* HULfind_func_t) (const void *obj1, const void *obj2)

## ◆ HULsearch_func_t

typedef intn(* HULsearch_func_t) (const void *obj, const void *key)

## Function Documentation

## ◆ HULadd_node()

intn HULadd_node | ( | list_head_t * | lst,
|  | void * | obj )

## ◆ HULcreate_list()

list_head_t * HULcreate_list | ( | HULfind_func_t | find_func | ) |

## ◆ HULdestroy_list()

intn HULdestroy_list | ( | list_head_t * | lst | ) |

## ◆ HULfirst_node()

void * HULfirst_node | ( | list_head_t * | lst | ) |

## ◆ HULnext_node()

void * HULnext_node | ( | list_head_t * | lst | ) |

## ◆ HULremove_node()

void * HULremove_node | ( | list_head_t * | lst,
|  | HULsearch_func_t | srch_func,
|  | void * | key )

## ◆ HULsearch_node()

void * HULsearch_node | ( | list_head_t * | lst,
|  | HULsearch_func_t | srch_func,
|  | void * | key )

## ◆ HULshutdown()

intn HULshutdown | ( | void |  | ) |